"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var request = require("request");
var Recast = /** @class */ (function () {
    function Recast(bot) {
        this.bot = bot;
    }
    Recast.prototype.process = function (payload) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            if (!payload.language && _this.bot.meta.recast.language) {
                payload.language = _this.bot.meta.recast.language;
            }
            request({
                uri: 'https://api.recast.ai/v2/request',
                method: 'POST',
                body: payload,
                headers: {
                    authorization: "Token " + _this.bot.config['SYSTEM_RECIME_RECASTAI_ACCESS_KEY']
                },
                json: true,
            }, function (error, response, body) {
                console.log('here');
                resolve(body.results);
            });
        });
    };
    return Recast;
}());
exports.Recast = Recast;
